/* ----------------------------------------------------------------- */
/* UPCO ICAI - Departamento de Electrnica y Automtica              */
/* ----------------------------------------------------------------- */
/* Prototipos biblioteca milib: Funciones de conversin              */
/*                                                                   */
/* Descripcin: funciones de conversin equivalentes a la biblioteca */
/*              stdlib del compilador.                               */
/*                                                                   */
/* Autor: David Garca Granda & Fernando Ibez Barrado              */
/* Fecha: 29 / 10 / 1999                                             */
/* Versin: 2.0                                                      */
/*                                                                   */
/* ----------------------------------------------------------------- */

#ifndef milib_h
#define milib_h

#define MAXLINEA 100   /* ninguna entrada debe superar este tamao */

/* ----------------------------------------------------------------- */
/* int miatoi(char *s,int b): Cadena ASCII a entero                  */
/*                                                                   */
/* Descripcin: convierte una cadena ascii en su entero equivalente. */
/*              Admite nmeros con y sin signo. Devuelve el valor    */
/*              acumulado cuando detecta un carcter distinto de un  */
/*              dgito en la cadena.                                 */
/*              y admite tanto maysculas como minsculas.           */
/*                                                                   */
/*                                                                   */
/* Argumentos: char *s: puntero que seala a la cadena a utilizar.   */
/*                                                                   */
/*                                                                   */
/*                                                                   */
/* Devuelve:   int: valor de la cadena.                              */
/* ----------------------------------------------------------------- */

int miatoi(char *s);

/* ------------------------------------------------------------------ */
/* char *miitoa(int i, char *s, int b): Entero a cadena de caracteres */
/*                                                                    */
/* Descripcin: convierte un nmero a su equivalente como cadena      */
/*              segn una determinada base.                           */
/*                                                                    */
/* Argumentos: int i: nmero que se quiere convertir.                 */
/*                                                                    */
/*             char *s: puntero a una cadena de caracteres reservada  */
/*                      previamente con suficiente tamao para los    */
/*                      caracteres y el fin de cadena (null).         */
/*                                                                    */
/*             int b: base, slo se admiten 2, 4, 8, 10 y 16. Si es   */
/*                    10, el nmero lleva asociado el signo.          */
/*                                                                    */
/*                                                                    */
/* Devuelve:   char *: valor de la cadena s.                          */
/* ------------------------------------------------------------------ */

char *miitoa(int i,char *s,int b);

#endif